html,
body {
    font-family: 'Plus Jakarta Sans', sans-serif;
    --rz-primary: #F7BC37 !important;
    --rz-secondary: #F7BC37 !important;
    --rz-secondary-light: #F7BC37 !important;
    --rz-secondary-lighter: #F7BC37 !important;
    --rz-secondary-dark: #F7BC37 !important;
    --rz-secondary-darker: #F7BC37 !important;
    --rz-primary-light: #F7BC37 !important;
    --rz-primary-lighter: #F7BC37 !important;
    --rz-primary-dark: #F7BC37 !important;
    --rz-primary-darker: #F7BC37 !important;
    --rz-panel-menu-item-active-background-color: #f1f1f1 !important;
    --rz-panel-menu-item-active-color: #F7BC37 !important;
    color: #1D2823 !important;
    --rz-color-black: #1D2823 !important;
    --rz-background-color-black: #1D2823 !important;
    --rz-panel-menu-item-active-color: #1D2823 !important;
    --rz-panel-menu-item-active-background-color: #FCF6EB !important;
    --rz-panel-menu-item-color: #F7BC37 !important;
    font-size: 14px !important;
}

.scrollable-content::-webkit-scrollbar {
    display: none;
}


a,
.btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: none;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.rz-button {
    text-transform: none !important;
    cursor: pointer !important;
    border-radius: 0px !important;
    box-shadow: none !important;
    background-color: var(--rz-background-color-black);
}

.rz-form-field-content,
.rz-colorpicker,
.rz-lookup-search input,
.rz-numeric,
.rz-datepicker>.rz-inputtext,
.rz-multiselect,
.rz-dropdown,
.mask,
.rz-textarea,
.rz-textbox {
    box-sizing: border-box;
    border: var(--rz-input-border);
    border-radius: 0px !important;
    box-shadow: none !important;
    background-color: var(--rz-input-background-color);
}

.rz-label {
    font-size: 13px !important;
}

.required {
    color: red;
    font-weight: bold;
    margin-left: 5px;
}

.rz-tabview-nav li {
    border-top-width: 2px;
    border-bottom-color: var(--rz-tabs-tab-background-color);
    border-radius: var(--rz-tabs-border-radius) var(--rz-tabs-border-radius) 0 0;
    /* font-size: 15rem; */
    padding: 10px;
    width: 10rem !important;
    background-color: #fff !important;
}

.rz-tabview-title {
    font-size: 17px !important
}

.rz-tabview-icon {
    margin-right: 10px !important;
}

.pingiu-card {
    height: 100%;
    overflow: hidden;
    border: 1px solid #006bb7 !important;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);

}

.pingiu-fieldset {
    height: 100%;
    margin: 0;
    padding: 0;
}

.pingiu-header {
    position: sticky;
    top: 0;
    background-color: white;
    z-index: 10;
    padding: 1px;
    border-bottom: 0px solid #ddd;
    margin-bottom: 5px;
}

.input-control {
    border: dashed;
}

.pingiu-scrollable-body {
    height: 99%;
    overflow-y: auto;
    padding: 1px;
}

.pingiu-header-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
}

.pingiu-header-left {
    flex: 1;
    min-width: 100px;
}

.pingiu-header-right {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: flex-end;
    flex: 1;
    min-width: 200px;
}

.button-group {
    margin-left: 2px;
    margin-right: 2px;
}

.details-table-container {
    padding: 1rem;
    background-color: #fafafa;
    border-radius: 8px;
    border: 1px solid #e0e0e0;
    max-width: 800px;
    margin: auto;
}

.details-table {
    width: 100%;
    border-collapse: collapse;
}

.details-table th {
    text-align: left;
    padding: 8px 12px;
    background-color: #f0f0f0;
    width: 30%;
    vertical-align: top;
}

.details-table td {
    padding: 8px 12px;
    background-color: #ffffff;
}

.rz-multiselect-trigger .rzi,
.rz-dropdown-trigger .rzi {
    width: var(--rz-dropdown-trigger-icon-width);
    height: var(--rz-dropdown-trigger-icon-height);
    font-size: var(--rz-dropdown-trigger-icon-height);
    margin-block: var(--rz-dropdown-trigger-icon-margin-block);
    margin-inline: var(--rz-dropdown-trigger-icon-margin-inline);
    color: #eb0000 !important;
}

.rz-multiselect,
.rz-dropdown {
    box-sizing: border-box;
    display: inline-flex;
    flex-direction: column;
    position: relative;
    overflow: hidden;
    text-align: start;
}

.rz-card {
    box-sizing: border-box;
    padding: var(--rz-card-padding);
    border-radius: var(--rz-card-border-radius);
    background-color: #ffffff !important;
}

.pingiu-header-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 5px;
    margin-bottom: 5px;
}

.left-section {
    display: flex;
    align-items: center;
    gap: 5px;
}

.right-section {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 5px;
    justify-content: flex-end;
}

.rz-fieldset-legend {
    float: none;
    margin-block: var(--rz-fieldset-legend-margin-block);
    margin-inline: var(--rz-fieldset-legend-margin-inline);
    padding-block: var(--rz-fieldset-legend-padding-block);
    padding-inline: var(--rz-fieldset-legend-padding-inline);
    width: auto;
    color: #f0f0f0;
    font-size: larger !important;
    font-weight: 600;
    text-transform: uppercase;
}

.rz-label {
    font-weight: 600;
    margin-bottom: 0.25rem;
    display: inline-block;
}

custom-btn {
    border-radius: 5px !important;
}

.rz-selectable tbody tr.rz-data-row:hover:not(.rz-state-highlight) .rz-cell-data {
    color: #ffffff !important;
}

.rz-pager-element,
.rz-button-md {
    padding: 0.5rem 1rem;
    height: auto;
    line-height: 1.25rem;
    min-height: 2.25rem;
    min-width: 2.25rem;
    font-size: var(--rz-body-font-size);
    font-weight: 600;
    border-radius: 5px !important;
}


@keyframes fadeInOut {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.fade-loader {
    animation: fadeInOut 2s infinite;
}